### Enumeration

# Ggit StatusFlags

since: 1.0

#### Declaration

    flags Ggit.StatusFlags

#### Description [src]

Describes a file’s status.

Available since: 1.0

#### Members

`GGIT_STATUS_CURRENT`

  File is current.

  - Value: `0`
  - Nickname: `current`
  - Available since: 1.0
`GGIT_STATUS_INDEX_NEW`

  File in index is new.

  - Value: `1`
  - Nickname: `index-new`
  - Available since: 1.0
`GGIT_STATUS_INDEX_MODIFIED`

  File in index is modified.

  - Value: `2`
  - Nickname: `index-modified`
  - Available since: 1.0
`GGIT_STATUS_INDEX_DELETED`

  File in index is deleted.

  - Value: `4`
  - Nickname: `index-deleted`
  - Available since: 1.0
`GGIT_STATUS_INDEX_RENAMED`
  No description available.
  - Value: `8`
  - Nickname: `index-renamed`
  - Available since: 1.0
`GGIT_STATUS_INDEX_TYPECHANGE`
  No description available.
  - Value: `16`
  - Nickname: `index-typechange`
  - Available since: 1.0
`GGIT_STATUS_WORKING_TREE_NEW`

  File in working tree is new.

  - Value: `128`
  - Nickname: `working-tree-new`
  - Available since: 1.0
`GGIT_STATUS_WORKING_TREE_MODIFIED`

  File in working tree is modified.

  - Value: `256`
  - Nickname: `working-tree-modified`
  - Available since: 1.0
`GGIT_STATUS_WORKING_TREE_DELETED`

  File in working tree is deleted.

  - Value: `512`
  - Nickname: `working-tree-deleted`
  - Available since: 1.0
`GGIT_STATUS_WORKING_TREE_TYPECHANGE`
  No description available.
  - Value: `1024`
  - Nickname: `working-tree-typechange`
  - Available since: 1.0
`GGIT_STATUS_WORKING_TREE_RENAMED`
  No description available.
  - Value: `2048`
  - Nickname: `working-tree-renamed`
  - Available since: 1.0
`GGIT_STATUS_WORKING_TREE_UNREADABLE`
  No description available.
  - Value: `4096`
  - Nickname: `working-tree-unreadable`
  - Available since: 1.0
`GGIT_STATUS_IGNORED`

  File is ignored.

  - Value: `16384`
  - Nickname: `ignored`
  - Available since: 1.0
`GGIT_STATUS_CONFLICTED`
  No description available.
  - Value: `32768`
  - Nickname: `conflicted`
  - Available since: 1.0